Issue 109317 - Automatic mnemonic generation not applied to the top level menu bar items
Summary: Automatic mnemonic generation not applied to the top level menu bar items
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOO320m12
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needmoreinfo
Depends on:
Blocks:
 
Reported: 2010-02-16 06:34 UTC by Oliver Brinzing
Modified: 2014-01-29 05:56 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Accelerators.xcu (995 bytes, text/xml)
2010-02-16 06:35 UTC, Oliver Brinzing
no flags Details
Addons.xcu (3.77 KB, text/xml)
2010-02-16 06:35 UTC, Oliver Brinzing
no flags Details
startcenter - no submenu (3.75 KB, image/gif)
2010-02-16 06:35 UTC, Oliver Brinzing
no flags Details
textdocument includes submenu (6.58 KB, image/gif)
2010-02-16 06:36 UTC, Oliver Brinzing
no flags Details
test extension (2.22 KB, application/vnd.openofficeorg.extension)
2014-01-28 17:40 UTC, Oliver Brinzing
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver Brinzing 2010-02-16 06:34:40 UTC
it seems, keyboard shortcuts are not shown if a submenu is present.

please have a look at the attachments.
Comment 1 Oliver Brinzing 2010-02-16 06:35:06 UTC
Created attachment 67850 [details]
Accelerators.xcu
Comment 2 Oliver Brinzing 2010-02-16 06:35:25 UTC
Created attachment 67851 [details]
Addons.xcu
Comment 3 Oliver Brinzing 2010-02-16 06:35:55 UTC
Created attachment 67852 [details]
startcenter - no submenu
Comment 4 Oliver Brinzing 2010-02-16 06:36:29 UTC
Created attachment 67853 [details]
textdocument includes submenu
Comment 5 Edwin Sharp 2014-01-28 09:21:14 UTC
Please specify steps to reproduce bug.
Comment 6 Oliver Brinzing 2014-01-28 17:40:06 UTC
Created attachment 82424 [details]
test extension

steps to reproduce:

- install attached test.oxt
- accelerator for menu item "Test..." is not available in writer/spreadseet doc
Comment 7 Ariel Constenla-Haile 2014-01-28 18:36:24 UTC
(In reply to brinzing from comment #6)
> Created attachment 82424 [details]
> test extension
> 
> steps to reproduce:
> 
> - install attached test.oxt
> - accelerator for menu item "Test..." is not available in writer/spreadseet
> doc

Automatic mnemonic generation is not applied to the top level menu bar items (only to the menubar's submenus).
As a workaround, you must set the ~ manually to indicate it.

May be the idea not to do so is to force setting them manually, so that all the applications share the same mnemonic for the same menu bar item (for example ~File, ~Edit, ~View, ~Tools, ~Window, ~Help).
Comment 8 Ariel Constenla-Haile 2014-01-28 18:37:31 UTC
Adapting the summary.
Comment 9 Edwin Sharp 2014-01-28 20:18:11 UTC
Thank you
Comment 10 Oliver Brinzing 2014-01-29 05:56:33 UTC
if you open the "TEST" menu from startcenter, the keyboard accelerator
for item "Test..." (e.g. "Strg+Umschalt+E" in a german office)is present.
if a submenu is added to the menu (-> see writer/spreadsheet) the keyboard accelerator disapears.